ExpressionBuilder (Tomcat API Documentation)
Keywords: org.apache.el.lang.ExpressionBuilder class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.lang
Class ExpressionBuilder

    java.lang.Object
      org.apache.el.lang.ExpressionBuilder

All Implemented Interfaces:
  NodeVisitor

    public final class ExpressionBuilder

extends java.lang.Object
implements NodeVisitor

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: rjung $
Author:
  Jacob Hookom [jacob@hookom.net]

Constructor Summary
`ExpressionBuilder(java.lang.String expression, javax.el.ELContext ctx)`

Method Summary
`javax.el.MethodExpression` | `createMethodExpression(java.lang.Class expectedReturnType, java.lang.Class[] expectedParamTypes)`
`static Node` | `createNode(java.lang.String expr)`
`javax.el.ValueExpression` | `createValueExpression(java.lang.Class expectedType)`
`void` | `visit(Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionBuilder

    public ExpressionBuilder(java.lang.String expression,
                             javax.el.ELContext ctx)
                      throws javax.el.ELException

Throws:
  `javax.el.ELException`

Method Detail

### createNode

    public static final Node createNode(java.lang.String expr)
                                 throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### visit

    public void visit(Node node)
               throws javax.el.ELException

  Specified by:
    `visit` in interface `NodeVisitor`
  Throws:
    `javax.el.ELException`

### createValueExpression

    public javax.el.ValueExpression createValueExpression(java.lang.Class expectedType)
                                                   throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### createMethodExpression

    public javax.el.MethodExpression createMethodExpression(java.lang.Class expectedReturnType,
                                                            java.lang.Class[] expectedParamTypes)
                                                     throws javax.el.ELException

  Throws:
    `javax.el.ELException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.